# -*- coding: utf-8 -*-

from __future__ import print_function, unicode_literals, absolute_import

import os

__all__ = ('GnuPGNotFound', 'which')


class GnuPGNotFound(LookupError):
    pass


def which(program):
    fpath, fname = os.path.split(program)
    if fpath:
        if os.path.isfile(program):
            return program
    else:
        for path in os.environ["PATH"].split(os.pathsep):
            exe_file = os.path.join(path, program)
            if os.path.isfile(exe_file):
                return exe_file
    return None
